com.tibbo.aggregate.common.datatable.validator

## Class AbstractFieldValidator

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.validator.AbstractFieldValidator

- All Implemented Interfaces:
    FieldValidator, PublicCloneable, java.lang.Cloneable
  Direct Known Subclasses:
    ExpressionValidator, IdValidator, LimitsValidator, NonNullValidator, RegexValidator

      public abstract class AbstractFieldValidator
      extends java.lang.Object
      implements FieldValidator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFieldValidator()`
    `AbstractFieldValidator(java.lang.String source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `encode()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Character` | `getType()`
    `int` | `hashCode()`
    `boolean` | `shouldEncode()`
    `java.lang.Object` | `validate(java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.datatable.validator.FieldValidator

      `validate`

- - ### Constructor Detail

    - #### AbstractFieldValidator

          public AbstractFieldValidator()

    - #### AbstractFieldValidator

          public AbstractFieldValidator(java.lang.String source)

  - ### Method Detail

    - #### shouldEncode

          public boolean shouldEncode()

      Specified by:
        `shouldEncode` in interface `FieldValidator`

    - #### encode

          public java.lang.String encode()

      Specified by:
        `encode` in interface `FieldValidator`

    - #### validate

          public java.lang.Object validate(java.lang.Object value)
                                    throws ValidationException

      Specified by:
        `validate` in interface `FieldValidator`
      Throws:
        `ValidationException`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getType

          public java.lang.Character getType()

      Specified by:
        `getType` in interface `FieldValidator`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `PublicCloneable`
      Overrides:
        `clone` in class `java.lang.Object`